<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: HungerMdfr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/dc4/class_hunger_mdfr.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">HungerMdfr Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for HungerMdfr:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../db/dc4/class_hunger_mdfr.png" usemap="#HungerMdfr_map" alt=""/>
  <map id="HungerMdfr_map" name="HungerMdfr_map">
<area href="../../d8/d0a/class_modifier_base.html" alt="ModifierBase" shape="rect" coords="0,0,87,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4932507850fda0471f2e931cf4e42747"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dc4/class_hunger_mdfr.html#a4932507850fda0471f2e931cf4e42747">Init</a> ()</td></tr>
<tr class="separator:a4932507850fda0471f2e931cf4e42747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acabb697bc6172a1ed8fa78cbbe4ad36f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dc4/class_hunger_mdfr.html#acabb697bc6172a1ed8fa78cbbe4ad36f">ActivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:acabb697bc6172a1ed8fa78cbbe4ad36f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada229274b4f7ca7598606a0381a6628b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dc4/class_hunger_mdfr.html#ada229274b4f7ca7598606a0381a6628b">DeactivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ada229274b4f7ca7598606a0381a6628b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48ed22ea1591601ca6b20e7dfaea61da"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dc4/class_hunger_mdfr.html#a48ed22ea1591601ca6b20e7dfaea61da">OnReconnect</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a48ed22ea1591601ca6b20e7dfaea61da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d15a66fdb60d234843e45559a231982"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dc4/class_hunger_mdfr.html#a5d15a66fdb60d234843e45559a231982">OnTick</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaT)</td></tr>
<tr class="separator:a5d15a66fdb60d234843e45559a231982"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a126849a75eb92c32beadbcee25ded518"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dc4/class_hunger_mdfr.html#a126849a75eb92c32beadbcee25ded518">m_EnergyDelta</a></td></tr>
<tr class="separator:a126849a75eb92c32beadbcee25ded518"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac95af57bbdfa6bbb6dcbf54d23cf5a9c"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dc4/class_hunger_mdfr.html#ac95af57bbdfa6bbb6dcbf54d23cf5a9c">m_LastEnergyLevel</a></td></tr>
<tr class="separator:ac95af57bbdfa6bbb6dcbf54d23cf5a9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad417e087dcc80e26ec994c18b4ff3a69"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dc4/class_hunger_mdfr.html#ad417e087dcc80e26ec994c18b4ff3a69">m_MovementState</a> = new <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>()</td></tr>
<tr class="separator:ad417e087dcc80e26ec994c18b4ff3a69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d0/d99/_hunger_8c_source.html#l00001">1</a> of file <a class="el" href="../../d0/d99/_hunger_8c_source.html">Hunger.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="acabb697bc6172a1ed8fa78cbbe4ad36f" name="acabb697bc6172a1ed8fa78cbbe4ad36f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acabb697bc6172a1ed8fa78cbbe4ad36f">&#9670;&#160;</a></span>ActivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HungerMdfr::ActivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d99/_hunger_8c_source.html#l00016">16</a> of file <a class="el" href="../../d0/d99/_hunger_8c_source.html">Hunger.c</a>.</p>

</div>
</div>
<a id="ada229274b4f7ca7598606a0381a6628b" name="ada229274b4f7ca7598606a0381a6628b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada229274b4f7ca7598606a0381a6628b">&#9670;&#160;</a></span>DeactivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HungerMdfr::DeactivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d99/_hunger_8c_source.html#l00021">21</a> of file <a class="el" href="../../d0/d99/_hunger_8c_source.html">Hunger.c</a>.</p>

</div>
</div>
<a id="a4932507850fda0471f2e931cf4e42747" name="a4932507850fda0471f2e931cf4e42747"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4932507850fda0471f2e931cf4e42747">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HungerMdfr::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d99/_hunger_8c_source.html#l00007">7</a> of file <a class="el" href="../../d0/d99/_hunger_8c_source.html">Hunger.c</a>.</p>

</div>
</div>
<a id="a48ed22ea1591601ca6b20e7dfaea61da" name="a48ed22ea1591601ca6b20e7dfaea61da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48ed22ea1591601ca6b20e7dfaea61da">&#9670;&#160;</a></span>OnReconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HungerMdfr::OnReconnect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d99/_hunger_8c_source.html#l00026">26</a> of file <a class="el" href="../../d0/d99/_hunger_8c_source.html">Hunger.c</a>.</p>

</div>
</div>
<a id="a5d15a66fdb60d234843e45559a231982" name="a5d15a66fdb60d234843e45559a231982"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d15a66fdb60d234843e45559a231982">&#9670;&#160;</a></span>OnTick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HungerMdfr::OnTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d99/_hunger_8c_source.html#l00031">31</a> of file <a class="el" href="../../d0/d99/_hunger_8c_source.html">Hunger.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a126849a75eb92c32beadbcee25ded518" name="a126849a75eb92c32beadbcee25ded518"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a126849a75eb92c32beadbcee25ded518">&#9670;&#160;</a></span>m_EnergyDelta</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> HungerMdfr::m_EnergyDelta</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d99/_hunger_8c_source.html#l00003">3</a> of file <a class="el" href="../../d0/d99/_hunger_8c_source.html">Hunger.c</a>.</p>

</div>
</div>
<a id="ac95af57bbdfa6bbb6dcbf54d23cf5a9c" name="ac95af57bbdfa6bbb6dcbf54d23cf5a9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac95af57bbdfa6bbb6dcbf54d23cf5a9c">&#9670;&#160;</a></span>m_LastEnergyLevel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> HungerMdfr::m_LastEnergyLevel</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d99/_hunger_8c_source.html#l00004">4</a> of file <a class="el" href="../../d0/d99/_hunger_8c_source.html">Hunger.c</a>.</p>

</div>
</div>
<a id="ad417e087dcc80e26ec994c18b4ff3a69" name="ad417e087dcc80e26ec994c18b4ff3a69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad417e087dcc80e26ec994c18b4ff3a69">&#9670;&#160;</a></span>m_MovementState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a> HungerMdfr::m_MovementState = new <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d99/_hunger_8c_source.html#l00005">5</a> of file <a class="el" href="../../d0/d99/_hunger_8c_source.html">Hunger.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerModifiers/Modifiers/<a class="el" href="../../d0/d99/_hunger_8c_source.html">Hunger.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/dc4/class_hunger_mdfr.html">HungerMdfr</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
